SmlError Struct Reference

Represent an error. More...

`#include <sml_error_internals.h>`

Collaboration diagram for SmlError:

## Data Fields

SmlErrorType | type
char * | message
char * | printMessage
gint32 | refCount

## Detailed Description

Represent an error.

Definition at line 29 of file sml_error_internals.h.

## Field Documentation

SmlErrorType SmlError::type

The type of the error that occured

Definition at line 31 of file sml_error_internals.h.

Referenced by smlAssemblerNew(), smlCommandNewPartialChange(), smlErrorDuplicate(), smlItemGetData(), smlParserNew(), smlSessionEndCommand(), smlSessionFlush(), smlSessionSendReply(), and smlSessionStartCommand().

char* SmlError::message

The message

Definition at line 33 of file sml_error_internals.h.

char* SmlError::printMessage

The printed message

Definition at line 35 of file sml_error_internals.h.

gint32 SmlError::refCount

The reference counter

Definition at line 37 of file sml_error_internals.h.

Referenced by smlItemGetData().

The documentation for this struct was generated from the following file:

- /build/libsyncml-I3VCSZ/libsyncml-0.5.4/libsyncml/sml_error_internals.h